
/**************************************
 Copyright 2011 David Guillen Fandos
 Use at your own risk!
***************************************/

#include "partitions.h"

void read_partition_table(char part_num, char * buffer, unsigned long * start_block, unsigned long * num_blocks) {
	buffer += (0x01BE + part_num*16);
	if (start_block != 0) *start_block = *(unsigned long*)&buffer[0x8];
	if (num_blocks != 0) *num_blocks = *(unsigned long*)&buffer[0xC];
}


