
/**************************************
 Copyright 2011 David Guillen Fandos
 Use at your own risk!
***************************************/

#ifndef _SPI_H_
#define _SPI_H_

#include "macros.h"
#include "spi.h"

#define SPI_CLR_FLAG() PIR1 &= 0x8
#define SPI_FLAG() (PIR1 & (0x8))

#define SPI_EI() PIE1 |= 0x8
#define SPI_DI() PIE1 &= (~0x8)

#define SPI_PUT_BYTE(b) { SSPBUF = b; }
#define SPI_GET_BYTE() SSPBUF

#define SPI_CLR_TX() SSPSTAT &= (~0x1)
#define SPI_TX() (SSPSTAT & 0x1)

void enable_spi_master(char capture_middle, char cke, char clk_high_idle, char speed);
//void spi_isr();
char spi_sync_send(char bdata);
//char spi_async_send_data(char * buffer, char size, char blocking);

void spi_sync_buf_rcv(char * recv, int num);
void spi_sync_buf_snd(char * send, int num);
void spi_sync_buf_sndrcv(char * send, char * recv, int num);

#endif
